| LogDoctor 4.00 Parse Apache2/Nginx/IIS logs and view dinamically generated statistics

Loading...
Searching...
No Matches
Private Slots | Private Member Functions | List of all members
MainWindow Class Referencefinal

MainWindow. More...

`#include <mainwindow.h>`

Inheritance diagram for MainWindow:

## Private Slots
void | menu_actionEnglishGb_triggered ()

## Private Member Functions
void | defineOSspec ()
| Defines OS specific stuff.
void | readConfigs ()
| Reads the configurations file and apply the resulting configuration.
void | writeConfigs ()
| Writes the current configuration on file.
std::string | list2string (const std::vector< std::string > &list, const bool user_agent=false) const
| Converts a list of items to a string.
std::vector< std::string > | string2list (const std::string &string, const bool user_agent=false) const
| Retrieves a list of items from the given string.
void | updateUiLanguage ()
| Translates the UI to the selected language.
std::string | geometryToString () const
| Converts the window's geometry to string.
void | setGeometryFromString (const std::string &geometry)
| Retrieves the window geometry from the given string.
void | setDialogsLevelFromString (const std::string &dialogs_level)
| Retrieves the dialogs level from the given string.
DialogsLevel | dialogsLevelFromInt (const int dialogs_level)
| Returns the dialogs level corresponding to the given number.
void | setWebServerFromString (const std::string &web_server)
| Retrieves the Web Server from the given string.
void | detectIconsTheme ()
| Auto-detects the icon-set to use depending on the current window theme.
void | updateUiIcons ()
| Updates the icons on the window.
void | updateUiTheme ()
| Updates the window theme.
void | updateUiFonts ()
| Updates the fonts on the window.
std::string | resolvePath (const std::string &path) const noexcept
| Resolves the given path and returns the canonical path.
std::string | parentPath (const std::string &path) const
| Returns the parent folder of the given path.
void | makeInitialChecks ()
| Makes the initial integrity checks.
void | backupDatabase () const
| Backs-up the logs data collection database.
void | setDbWorkingState (const bool working)
| Called when a member begins/ends performing operations on the database.
bool | dbUsable ()
| Weak check on the logs data collection database.
bool | checkDataDB ()
| Checks the integrity of the logs data collection database.
void | refreshStatsDates ()
| Queries the available dates from the db and apply to the tabs.

## Detailed Description

MainWindow.

The parent window

## Member Function Documentation

## ◆ dbUsable()

bool MainWindow::dbUsable | ( |  | ) |
| private

Weak check on the logs data collection database.

Returns true if the database is free (no other process is running that may access it for read/write operations) and it exists

See also
  checkDataDB

## ◆ geometryToString()

std::string MainWindow::geometryToString | ( |  | ) | const
| private

Converts the window's geometry to string.

See also
  writeConfigs()

## ◆ list2string()

std::string MainWindow::list2string | ( | const std::vector< std::string > & | list,
|  | const bool | user_agent = false ) const
| private

Converts a list of items to a string.

Parameters

  list | The list to stringify
  user_agents | Whether to apply the special rule to parse user-agents lists or not

Returns
  The resulting string

See also
  writeConfigs()

## ◆ menu_actionEnglishGb_triggered

void MainWindow::menu_actionEnglishGb_triggered | ( |  | ) |
| private slot

MENU //// //////////

## ◆ refreshStatsDates()

void MainWindow::refreshStatsDates | ( |  | ) |
| private

Queries the available dates from the db and apply to the tabs.

See also
  Crapview::refreshDates()

## ◆ setDialogsLevelFromString()

void MainWindow::setDialogsLevelFromString | ( | const std::string & | dialogs_level | ) |
| private

Retrieves the dialogs level from the given string.

See also
  readConfigs()

## ◆ setGeometryFromString()

void MainWindow::setGeometryFromString | ( | const std::string & | geometry | ) |
| private

Retrieves the window geometry from the given string.

See also
  readConfigs()

## ◆ setWebServerFromString()

void MainWindow::setWebServerFromString | ( | const std::string & | web_server | ) |
| private

Retrieves the Web Server from the given string.

See also
  readConfigs()

## ◆ string2list()

std::vector< std::string > MainWindow::string2list | ( | const std::string & | string,
|  | const bool | user_agent = false ) const
| private

Retrieves a list of items from the given string.

Parameters

  list | The list to stringify
  user_agents | Whether to apply the special rule to parse user-agents lists or not

Returns
  The resulting list

See also
  readConfigs()

The documentation for this class was generated from the following files:

- logdoctor/mainwindow.h
- logdoctor/mainwindow.cpp